Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.search.impl.lucene
Class LuceneFederatedIndexer

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.search.impl.AbstractFederatedIndexer
                      org.jboss.portal.search.impl.lucene.LuceneFederatedIndexer

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, FederatedIndexer, org.jboss.system.Service, org.jboss.system.ServiceMBean

    public abstract class LuceneFederatedIndexer

extends AbstractFederatedIndexer

Version:
  $Revision: 11799 $
Author:
  Thomas Heute

Field Summary

Fields inherited from class org.jboss.portal.search.impl.AbstractFederatedIndexer
`displayName, id, info`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`LuceneFederatedIndexer(java.lang.String id, java.lang.String indexPath)`

Method Summary
`void` | `createIndex()` The create method should index the required components
`void` | `destroyIndex()` Method called when this federated search is not used anymore.
`abstract java.util.List` | `getDocuments()` List of GenericDocument
`java.lang.String` | `getId()` Get the ID for this federated search
`Info` | `getInfo()` Info should return information on the current status if the federated search
`java.util.List` | `getLuceneDocuments()`

Methods inherited from class org.jboss.portal.search.impl.AbstractFederatedIndexer
`getDisplayName, setDisplayName, setId, setInfo`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, startService, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneFederatedIndexer

    public LuceneFederatedIndexer(java.lang.String id,
                                  java.lang.String indexPath)

Method Detail

### createIndex

    public void createIndex()
                     throws IndexingException

  Description copied from interface: `FederatedIndexer`
  The create method should index the required components

  Throws:
    `IndexingException`

### getLuceneDocuments

    public java.util.List getLuceneDocuments()

### getDocuments

    public abstract java.util.List getDocuments()

  List of GenericDocument

  Returns:

### destroyIndex

    public void destroyIndex()

  Description copied from interface: `FederatedIndexer`
  Method called when this federated search is not used anymore. This could be the place to destroy any index

### getId

    public java.lang.String getId()

  Description copied from interface: `FederatedIndexer`
  Get the ID for this federated search

  Specified by:
    `getId` in interface `FederatedIndexer`
  Overrides:
    `getId` in class `AbstractFederatedIndexer`
  Returns:
    String representing this particular federated search

### getInfo

    public Info getInfo()

  Description copied from interface: `FederatedIndexer`
  Info should return information on the current status if the federated search

  Specified by:
    `getInfo` in interface `FederatedIndexer`
  Overrides:
    `getInfo` in class `AbstractFederatedIndexer`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD